Skip to main content
POST
/
auth
/
change-password
Change Password
curl --request POST \
  --url https://api.example.com/auth/change-password \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "current_password": "<string>",
  "new_password": "<string>"
}
'
import requests

url = "https://api.example.com/auth/change-password"

payload = {
"current_password": "<string>",
"new_password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({current_password: '<string>', new_password: '<string>'})
};

fetch('https://api.example.com/auth/change-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Password change model.

current_password
string
required
new_password
string
required
Required string length: 8 - 72

Response

Successful Response